Bug 1268978 - glfs_h_lookupat added a "follow" field in 3.7.4
glfs_h_lookupat added a "follow" field in 3.7.4
Status: CLOSED WONTFIX
Product: nfs-ganesha
Classification: Community
Component: FSAL_GLUSTER (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiffin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 15:45 EDT by Joe Julian
Modified: 2016-08-09 01:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-09 01:15:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch_which_fixes_this_issue (2.96 KB, patch)
2015-10-19 07:50 EDT, Jiffin
no flags Details | Diff

  None (edit)
Description Joe Julian 2015-10-05 15:45:38 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1252410

This change causes a build failure:
/home/jjulian/packages/nfs-ganesha/src/nfs-ganesha/src/FSAL/FSAL_GLUSTER/export.c: In function 'lookup_path':
/home/jjulian/packages/nfs-ganesha/src/nfs-ganesha/src/FSAL/FSAL_GLUSTER/export.c:147:13: error: too few arguments to function 'glfs_h_lookupat'
  glhandle = glfs_h_lookupat(glfs_export->gl_fs, NULL, realpath, &sb);


The new structure is defined in api/glfs-handles.h as:
struct glfs_object *glfs_h_lookupat (struct glfs *fs,
                                     struct glfs_object *parent,
                                     const char *path,
                                     struct stat *stat, int follow) __THROW
        GFAPI_PUBLIC(glfs_h_lookupat, 3.7.4);
Comment 1 Kaleb KEITHLEY 2015-10-06 13:57:10 EDT
We're probably going to release a 2.2.1 shortly after 2.3 GA.

We'll fix this in that.
Comment 2 Jiffin 2015-10-19 07:50 EDT
Created attachment 1084368 [details]
patch_which_fixes_this_issue
Comment 3 Jiffin 2015-10-19 07:53:52 EDT
i have attached patch which fixes the issue on 2.2-dev branch
Comment 4 Joe Julian 2015-12-28 13:33:18 EST
Resetting the needinfo flag as no info was requested from me and bugzilla is nagging me.

Note You need to log in before you can comment on or make changes to this bug.